Full name: projects.locations.datasets.annotationStores.import
Import Annotations to the Annotation store by loading data from the specified sources. If the request is successful, a detailed response is returned as of type ImportAnnotationsResponse, contained in the [response][google.longrunning.Operation.result.response] field when the operation finishes. The metadata field type is OperationMetadata. Errors are logged to Cloud Logging (see Viewing error logs in Cloud Logging).
HTTP request
POST https://healthcare.googleapis.com/v1beta1/{name=projects/*/locations/*/datasets/*/annotationStores/*}:import
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The name of the Annotation store to which the server imports annotations, in the format Authorization requires the following IAM permission on the specified resource
|
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ // Union field |
| Fields | |
|---|---|
Union field |
|
gcsSource |
|
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-healthcarehttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
GcsSource
Specifies the configuration for importing data from Cloud Storage.
| JSON representation |
|---|
{ "uri": string } |
| Fields | |
|---|---|
uri |
Points to a Cloud Storage URI containing file(s) with content only. The URI must be in the following format: |